﻿configuration TextFileLineTest
{
    Import-DscResource -ModuleName TestResource
    $path = "$home\Documents\list.txt"

    TextFileLine PowerShell
    {
        Ensure = "Present"
        Path = $path
        Text = "PowerShell"
    }

    TextFileLine VisualBasic
    {
        Ensure = "Present"
        Path = $path
        Text = "Visual Basic"
    }

    TextFileLine CSharp
    {
        Ensure = "Present"
        Path = $path
        Text = "C#"
    }
}

cd $home\Documents
TextFileLineTest
Start-DscConfiguration -wait -force -Verbose -Path TextFileLineTest