﻿Import-Module xDSCResourceDesigner

$properties = @(
    (New-xDscResourceProperty -Name Ensure -Type String -Attribute Required -ValidateSet Present, Absent),
    (New-xDscResourceProperty -Name Name -Type String -Attribute Key)
)

New-xDscResource `
    -ModuleName TestResource `
    -Name Foo `
    -FriendlyName Foo `
    -Property $properties `
    -Path  "$env:ProgramFiles\WindowsPowerShell\Modules"
